import { watch as r } from "vue";
import { cloneDeep as a, isEqual as m } from "lodash";
const f = (o, t) => {
  r(
    () => a(o.option.base.format),
    (e, i) => {
      m(e, i) || t(o.option);
    },
    { deep: !0 }
  );
};
export {
  f as useWatch
};
